Subject: Re: [Qirg] Qirg Digest, Vol 18, Issue 33

From: gyananjay rai <[email-masked]>
Date: Thu, 24 Oct 2019 00:59:17 +0530

Hi ,

I believe alogorthim development around bell pair generation,entanglement
swapping can address the connection set up and quantum communication part
How ever building blocks of  physical layercan play a pivotal role in
commercial viable quantum internet and higher layer architecture.

Gyananjay Rai

On Thu, 24 Oct 2019, 00:31 , <[email-masked]> wrote:

> Send Qirg mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www.irtf.org/mailman/listinfo/qirg
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Qirg digest..."
> Today's Topics:
>
>    1. Re: updated I-D (-01) on connection setup (Gelard Patrick)
>
>
>
> ---------- Forwarded message ----------
> From: Gelard Patrick <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Cc:
> Bcc:
> Date: Wed, 23 Oct 2019 15:13:28 +0000
> Subject: Re: [Qirg] updated I-D (-01) on connection setup
> Hi,
>
> Perhaps an analogy, although the universal quantum computer does not exist
> yet (supremacy (Google) or not (contested by IBM) :-)), it has not
> prevented the development of algorithms exploiting the properties of the
> quantum world.
>
> However, I join Diego in the sense that it is important to have an good
> understanding of the physical layer to build the "high layers" of quantum
> network.
>
> Bests Regard
> /Patrick
>
>
>
> -----Message d'origine-----
> De : Qirg <[email-masked]> De la part de Wojciech Kozlowski
> Envoyé : mercredi 23 octobre 2019 11:17
> À : [email-masked]
> Objet : Re: [Qirg] updated I-D (-01) on connection setup
>
> I agree with Diego that it is critical to establish physical connections.
> However, I'm also with Patrick in that I'm not sure if this is within scope
> for QIRG? Perhaps, Rodney can weigh in as chair (and one of the authors of
> the QIRG charter).
>
> My reluctance to go near the physical layer (within QIRG) comes from the
> fact that it is extremely physics heavy. Whilst, most people will be
> familiar with optical fibres you would soon have to start including
> discussions about photon qubit encodings (time-bin, polarisation,
> presence/absence, early/late arrival) and also realisations of qubits in
> memory (if talking about repeaters) and swap execution and all the
> complexities it comes with (optical phase stability, double excitations,
> decoherence. I think it's very important to ensure QIRG content is
> accessible to people without a quantum physics background beyond what they
> read on this mailing list and drafts.
>
> Furthermore, there's work on physical connectivity is quite active in labs
> and various collaborations. As Diego says QKD deployments are ongoing, and
> a repeater network is being built in the Netherlands. I see QIRG as
> addressing the questions that the physicists building these physical
> networks do not ask - how do we run these networks? For this we only need
> an abstract model of the physical layer. Given that these networks do not
> exist yet, Diego's concern that we're building the house from the wrong
> side is justified. At the same time, quantum repeater networks are just
> around the corner (early 2020s).
>
> That's just my view. I would be open to extending discussions to the
> physical layer if we deem it appropriate.
>
> On Wed, 2019-10-23 at 07:41 +0000, Gelard Patrick wrote:
> > Hi,
> >
> > Do you think that this first step concerning the physical layer is in
> > the scope of IRTF ?
> >
> > Bests Regard
> > /Patrick
> >
> > -----Message d'origine-----
> > De : Diego R. Lopez <[email-masked]> Envoyé : mardi 22
> > octobre 2019 18:45 À : Gelard Patrick <[email-masked]> Cc :
> > [email-masked] Objet : Re: [Qirg] updated I-D (-01) on connection setup
> >
> > Hi
> >
> >
> > On 22/10/2019, 17:16, "Gelard Patrick" <[email-masked]>
> > wrote:
> >
> >
> >     By “physical connectivity”, do you mean quantum channel
> > connectivity ? knowing that channels behave in very different ways in
> > free-space or in optical fibers
> >
> > DRL> Yes. And defining the desired properties of these channels and
> > how they could be built using current transmission means, or which are
> > further requirements.
> >
> >     By "quantum networking should start  by defining how to establish
> > good-enough, reliable physical connections", do you mean, for example
> > for optical fibers channel,   the use of transparent optical link
> > (e.g wavelength-division multiplexing (WDM)) for interconnected
> > quantum communication nodes ? and for "reliable" the use of quantum
> > error correction  or for entangled qubit transfer the use of
> > entanglement distillation ?
> >
> > DRL> Yes. Links that can be used for quantum interactions, whether
> > physical media can be shared or not for other interactions (the
> > copropagation issue, quantum or classical), and the additional links
> > or channels required for build such reliability.
> >
> > As I said, I think this would de the first steps to take. When we have
> > a clear view of these matters and some "operational" experience I'd
> > suggest we progress with other concepts, and probably not trying to
> > look for analogies with current layers or packet formats. Layering
> > looks like a reasonable strategy, but we should probably  consider a
> > different structure, and with respect to packets I am not sure at all
> > we can talk about packets of qubits, unless we could think of a
> > binary-encoded representation of a quantum state...
> >
> > Be goode,
> >
> > --
> > "Esta vez no fallaremos, Doctor Infierno"
> >
> > Dr Diego R. Lopez
> > Telefonica I+D
> > https://www.linkedin.com/in/dr2lopez/
> >
> > e-mail: [email-masked]
> > Tel:         +34 913 129 041
> > Mobile:  +34 682 051 091
> > ----------------------------------
> >
> >
> >     De : Diego R. Lopez <[email-masked]>
> >     Envoyé : mardi 22 octobre 2019 14:39
> >     À : Gelard Patrick <[email-masked]>; Bruno Rijsman <
> > [email-masked]>; Rodney Van Meter <
> > rdv=[email-masked]>
> >     Cc : Rodney Van Meter <[email-masked]>; Takaaki Matsuo <
> > [email-masked]>; [email-masked]
> >     Objet : Re: [Qirg] updated I-D (-01) on connection setup
> >
> >     My point was that, whatever the foundation (P+M or entanglement),
> > the foreseeable quantum connections will require a physical path
> > setup. And, since we cannot rely on the availability of pervasive,
> > all-to-all, physical connectivity, quantum networking should start  by
> > defining how to establish good-enough, reliable physical connections.
> > And here is where the experience currently being generated in QKD
> > could be of help.
> >
> >     Be goode,
> >
> >     --
> >     "Esta vez no fallaremos, Doctor Infierno"
> >
> >     Dr Diego R. Lopez
> >     Telefonica I+D
> >     https://www.linkedin.com/in/dr2lopez/
> >
> >     e-mail: mailto:[email-masked]
> >     Tel:         +34 913 129 041
> >     Mobile:  +34 682 051 091
> >     ----------------------------------
> >
> >     On 14/10/2019, 11:02, "Gelard Patrick" <mailto:
> > [email-masked]> wrote:
> >
> >     Hi,
> >
> >     The QKD deployments being built in the short term are they not
> > based on Prepare-and-measure (P&M) scheme (which is concerned with
> > direct transmission of qubit : scheme where the quantum optical
> > signals used for QKD are prepared by Alice and sent to Bob for
> > measurement) rather than entanglement-bases scheme  ( Entanglement-
> > based schemes where entangled states are prepared externally to Alice
> > and Bob ) ? Schemes where entanglement is generated within Alice can
> > still be considered "prepare-and-measure", but this seems to be a
> > special case and not a general case.
> >
> >     /Patrick
> >
> >     De : Qirg <mailto:[email-masked]> De la part de Diego R.
> > Lopez
> >     Envoyé : lundi 14 octobre 2019 09:53
> >     À : Bruno Rijsman <mailto:[email-masked]>; Rodney Van
> > Meter <mailto:rdv=[email-masked]>
> >     Cc : Rodney Van Meter <mailto:[email-masked]>; Takaaki Matsuo
> > <mailto:[email-masked]>; mailto:[email-masked]
> >     Objet : Re: [Qirg] updated I-D (-01) on connection setup
> >
> >     Hi,
> >
> >     Let me chime in to support Bruno’s view, and to point you to a
> > paper in which we discussed the application of GMPLS to build optical
> > paths for QKD:
> >     http://dl.ifip.org/db/conf/ondm/ondm2017/1570339116.pdf
> >
> >     I have shared with some of you the idea that some (if not many) of
> > the principles for a future Quantum Internet can be experimented in
> > the QKD deployments being built in the short term. I had even the
> > intention of starting a draft on this, though it is becoming difficult
> > given the height of my to-do stack. Anyway. I’d be happy to discuss
> > this on the list and in Singapore…
> >
> >     Be goode,
> >
> >     --
> >     "Esta vez no fallaremos, Doctor Infierno"
> >
> >     Dr Diego R. Lopez
> >     Telefonica I+D
> >     https://www.linkedin.com/in/dr2lopez/
> >
> >     e-mail: mailto:[email-masked]
> >     Tel:         +34 913 129 041
> >     Mobile:  +34 682 051 091
> >     ----------------------------------
> >
> >     On 14/10/2019, 07:48, "Qirg on behalf of Bruno Rijsman" <mailto:
> > [email-masked] on behalf of mailto:[email-masked]>
> > wrote:
> >
> >
> >     On Sep 12, 2019, at 6:43 AM, Rodney Van Meter <mailto:
> > rdv=[email-masked]> wrote:
> >
> >     4. Wojciech asked if segment routing (SR) could figure into this,
> > and I have only a dilettante’s understanding of SR, so I can’t say but
> > would like to investigate.
> >
> >     In short, I think probably not, at least not in a literal way,
> > i.e. using similar packet formats or control protocols (at best some
> > general ideas could be borrowed)
> >
> >     The main characteristic of segment routing (SR) is that each
> > forwarded packet itself contains a sequence (stack) of segment
> > identifiers (SIDs).
> >
> >     Each SID can be thought of as an instruction that describes what a
> > particular forwarding node should do with the packet.
> >
> >     These SIDs can take the form of an MPLS label or an IPv6 header.
> >
> >     After a SID is processed, it removed from the stack. The remaining
> > stack of SIDs is used as instructions for the remaining nodes further
> > downstream the path.
> >
> >     The most typical (but not the only way) of using SIDs is to
> > explicitly encode the entire forwarding route for a single packet into
> > the header of the packet itself. Think of it as a form of source
> > routing.
> >
> >     These SIDs are used instead of (or sometimes in addition to) to
> > destination addresses or connection identifiers to make hop-by-hop
> > forwarding decisions.
> >
> >     There are some difficulties applying this concept to quantum
> > networks:
> >
> >     1. As mentioned in earlier e-mails, quantum networks are not
> > really in the business of sending packets from A to Z. Instead they
> > are in the business of creating a stream of Bell pairs between A to Z.
> > So, there are not really an packets being sent from A to Z into which
> > a stack of SIDs could be encoded.
> >
> >     2.  Since qubits themselves don't have headers, you cannot encode
> > SIDs into their non-existent header. (Although one could imagine that
> > every qubit is accompanied by a twin classical packet, and that the
> > SIDs are encoded into the twin classical packet.)
> >
> >     If you squint your eyes very hard, you could see some analogies
> > between SR and quantum networks. For example the concept of a segment
> > "instruction" could be construed as an analogy to a RuleSet in
> > Rodney's draft.
> >
> >     I think it will be more fruitful to look into Generalized Multi-
> > Protocol Label Switched (GMPLS) classical networks as inspiration for
> > a control-plane protocols for routing and traffic engineering in
> > quantum networks.
> >
> >     In GMPLS networks, there is already the concept of a classical
> > packet-based control plane and a separate potentially non-packet based
> > data plane e.g. an optical transport network (OTN) or a time division
> > multiplexing (TDM) network. This appears to be a good analogy for
> > quantum networks, because there we also have a classical packet-based
> > control channel and a separate non-packet based quantum channel (where
> > qubits don't have headers and are implicitly identified by their
> > time-bit or similar).
> >
> >     — Bruno
> >
> >
> >     ________________________________________
> >
> >     Este mensaje y sus adjuntos se dirigen exclusivamente a su
> > destinatario, puede contener información privilegiada o confidencial y
> > es para uso exclusivo de la persona o entidad de destino. Si no es
> > usted. el destinatario indicado, queda notificado de que la lectura,
> > utilización, divulgación y/o copia sin autorización puede estar
> > prohibida en virtud de la legislación vigente. Si ha recibido este
> > mensaje por error, le rogamos que nos lo comunique inmediatamente por
> > esta misma vía y proceda a su destrucción.
> >
> >     The information contained in this transmission is privileged and
> > confidential information intended only for the use of the individual
> > or entity named above. If the reader of this message is not the
> > intended recipient, you are hereby notified that any dissemination,
> > distribution or copying of this communication is strictly prohibited.
> > If you have received this transmission in error, do not read it.
> > Please immediately reply to the sender that you have received this
> > communication in error and then delete it.
> >
> >     Esta mensagem e seus anexos se dirigem exclusivamente ao seu
> > destinatário, pode conter informação privilegiada ou confidencial e é
> > para uso exclusivo da pessoa ou entidade de destino. Se não é vossa
> > senhoria o destinatário indicado, fica notificado de que a leitura,
> > utilização, divulgação e/ou cópia sem autorização pode estar proibida
> > em virtude da legislação vigente. Se recebeu esta mensagem por erro,
> > rogamos-lhe que nos o comunique imediatamente por esta mesma via e
> > proceda a sua destruição
> >
> >     ________________________________________
> >
> >     Este mensaje y sus adjuntos se dirigen exclusivamente a su
> > destinatario, puede contener información privilegiada o confidencial y
> > es para uso exclusivo de la persona o entidad de destino. Si no es
> > usted. el destinatario indicado, queda notificado de que la lectura,
> > utilización, divulgación y/o copia sin autorización puede estar
> > prohibida en virtud de la legislación vigente. Si ha recibido este
> > mensaje por error, le rogamos que nos lo comunique inmediatamente por
> > esta misma vía y proceda a su destrucción.
> >
> >     The information contained in this transmission is privileged and
> > confidential information intended only for the use of the individual
> > or entity named above. If the reader of this message is not the
> > intended recipient, you are hereby notified that any dissemination,
> > distribution or copying of this communication is strictly prohibited.
> > If you have received this transmission in error, do not read it.
> > Please immediately reply to the sender that you have received this
> > communication in error and then delete it.
> >
> >     Esta mensagem e seus anexos se dirigem exclusivamente ao seu
> > destinatário, pode conter informação privilegiada ou confidencial e é
> > para uso exclusivo da pessoa ou entidade de destino. Se não é vossa
> > senhoria o destinatário indicado, fica notificado de que a leitura,
> > utilização, divulgação e/ou cópia sem autorização pode estar proibida
> > em virtude da legislação vigente. Se recebeu esta mensagem por erro,
> > rogamos-lhe que nos o comunique imediatamente por esta mesma via e
> > proceda a sua destruição
> >
> >
> >
> > ________________________________
> >
> > Este mensaje y sus adjuntos se dirigen exclusivamente a su
> > destinatario, puede contener información privilegiada o confidencial y
> > es para uso exclusivo de la persona o entidad de destino. Si no es
> > usted. el destinatario indicado, queda notificado de que la lectura,
> > utilización, divulgación y/o copia sin autorización puede estar
> > prohibida en virtud de la legislación vigente. Si ha recibido este
> > mensaje por error, le rogamos que nos lo comunique inmediatamente por
> > esta misma vía y proceda a su destrucción.
> >
> > The information contained in this transmission is privileged and
> > confidential information intended only for the use of the individual
> > or entity named above. If the reader of this message is not the
> > intended recipient, you are hereby notified that any dissemination,
> > distribution or copying of this communication is strictly prohibited.
> > If you have received this transmission in error, do not read it.
> > Please immediately reply to the sender that you have received this
> > communication in error and then delete it.
> >
> > Esta mensagem e seus anexos se dirigem exclusivamente ao seu
> > destinatário, pode conter informação privilegiada ou confidencial e é
> > para uso exclusivo da pessoa ou entidade de destino. Se não é vossa
> > senhoria o destinatário indicado, fica notificado de que a leitura,
> > utilização, divulgação e/ou cópia sem autorização pode estar proibida
> > em virtude da legislação vigente. Se recebeu esta mensagem por erro,
> > rogamos-lhe que nos o comunique imediatamente por esta mesma via e
> > proceda a sua destruição
> > _______________________________________________
> > Qirg mailing list
> > [email-masked]
> > https://www.irtf.org/mailman/listinfo/qirg
> _______________________________________________
> Qirg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/qirg
> _______________________________________________
> Qirg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/qirg
>